#include <engine_main.h>
#include <menu.h>
#include <system.h>
#include <stdlib.h>

int engine_main(void)
{
    int ret = 0;

    if (system_init() || menu())
        ret = -1;

    system_deinit();
    return ret;
}
